/*------------------tests---------*/

/*
#drag-container {
    opacity: 0;
}

.cube2:hover::cube3 {
    opacity: 0;
  }

*/
/*
.project:hover .project-infos {
    opacity: 1;
    transform: translate(0, -50%);
  }
*/
/*
.opaque{
    opacity: 0;
}
*/

/*
body {
    overflow: hidden;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    background: #111;
    -webkit-perspective: 1000px;
    perspective: 1000px;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
}
*/
/*-----------------------------------------------------------DRAG 1 ------------------------------------------------------------------*/



#drag-container, #spin-container {
    
    position: relative;
    z-index: 1;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: auto;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-transform: rotateX(-10deg);
    transform: rotateX(-10deg);
    
}


#drag-container img, #drag-container video {
    
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    line-height: 200px;
    font-size: 50px;
    text-align: center;
    -webkit-box-shadow: 0 0 8px #fff;
    box-shadow: 0 0 #fff;
    -webkit-box-reflect: below 10px linear-gradient(transparent,transparent,#0005 );
    
    
}


.tourner{
    transform-style: preserve-3d;
    animation: tourner 2s;
}

.agrandir{
    animation: agrandir 2s;
}
.tourner2{
    transform-style: preserve-3d;
    animation: tourner 2s;
}

.agrandir2{
    animation: agrandir 2s;
}

@keyframes agrandir {

    from{scale:0%;
        
    }
     to {scale:100%;
     }
}

@keyframes tourner {

    from{
        
        transform: translate(0,-500px);
    }
     to {
        transform: translate(0,0);
        
     }
}

#drag-container img:hover, #drag-container video:hover {
    -webkit-box-shadow: 0 0 15px #fffd;
    box-shadow: 0 0 15px #fffd;
    -webkit-box-reflect: below 10px linear-gradient(transparent,transparent,#0007 );
}

#drag-container p {
    font-family: serif;
    position: absolute;
    top: 100%;
    left: 50%;
    font-size: 10rem;
    -webkit-transform: translate(-50%, -50%) rotateX(90deg);
    transform: translate(-50%,-50%) rotateX(90deg);
    color: #fff;
}



#ground {
    width: 900px;
    height: 900px;
    position: absolute;
    top: 100%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) rotateX(90deg);
    transform: translate(-50%,-50%) rotateX(90deg);
    background: -webkit-radial-gradient(center center , farthest-side,#9993,transparent);

} 

/*---------------------------------------------------------------- DRAG 1 -----------------------------------------------*/

/*---------------------------------------------------------------- DRAG 2 -----------------------------------------------*/

#drag-container2, #spin-container2 {

    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    margin: auto;
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    -webkit-transform: rotateX(-10deg);
    transform: rotateX(-10deg);
}



#drag-container2 img, #drag-container2 video {
    -webkit-transform-style: preserve-3d;
    transform-style: preserve-3d;
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    line-height: 200px;
    font-size: 50px;
    text-align: center;
    -webkit-box-shadow: 0 0 8px #fff;
    box-shadow: 0 0 #fff;
    -webkit-box-reflect: below 10px linear-gradient(transparent,transparent,#0005 );
    
}
#drag-container2 img:hover, #drag-container2 video:hover {
    -webkit-box-shadow: 0 0 15px #fffd;
    box-shadow: 0 0 15px #fffd;
    -webkit-box-reflect: below 10px linear-gradient(transparent,transparent,#0007 );
}

#drag-container2 p {
    font-family: serif;
    position: absolute;
    top: 100%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) rotateX(90deg);
    transform: translate(-50%,-50%) rotateX(90deg);
    color: #fff;
}

#ground2 {
    width: 900px;
    height: 900px;
    position: absolute;
    top: 100%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%) rotateX(90deg);
    transform: translate(-50%,-50%) rotateX(90deg);
    background: -webkit-radial-gradient(center center , farthest-side,#9993,transparent);

} 


/*---------------------------------------------------------------- DRAG 2 -----------------------------------------------*/




@-webkit-keyframes spin {
    from {
        -webkit-transform: rotateY(0deg);
        transform: rotateY(0deg);
    } to {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);
    }
}

@keyframes spin {
    from {
        -webkit-transform: rotateY(0deg);
        transform: rotateY(0deg);        
    } to {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);   
    }
}

@-webkit-keyframes spinRevert {
    from {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);        
    } to {
        -webkit-transform: rotateY(0deg);
        transform: rotateY(0deg);   
    }
}

@keyframes spinRevert {
    from {
        -webkit-transform: rotateY(360deg);
        transform: rotateY(360deg);        
    } to {
        -webkit-transform: rotateY(0deg);
        transform: rotateY(0deg);   
    }
}


